karaf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "filippo balicchia (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (KARAF-1550) Cellar 2.2.4 feature cannot be installed
Date Sat, 21 Dec 2013 20:52:09 GMT

    [ https://issues.apache.org/jira/browse/KARAF-1550?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13854931#comment-13854931
] 

filippo balicchia commented on KARAF-1550:
------------------------------------------

The problem can be reproduce in karaf 2.2.x and cellar 2.2.x enabling features OBR adding
org/apache/felix/org.apache.felix.bundlerepository/1.6.4/org.apache.felix.bundlerepository-1.6.4.jar=10
org/apache/karaf/features/org.apache.karaf.features.obr/2.2.x/org.apache.karaf.features.obr-2.2.x.jar=30
 
on the startup.propertis

Deleting flag 'dependency=true' the problem is resolved but IMHO that flag need to be true

In my head what I understand about that flag 'dependency' is :

* if bundle A has 'dependency=true' it is installed only if some other bundle or feature need
a package that bundle A exposed
* if bundle A has 'dependency=false (default)'. bundle A is loaded if OSGi container not already
load the same packages&versions that Bundle A provide 

Anyway 
* org.apache.karaf.cellar.hazelcast has an import package 'com.hazelcast'  that is in 'cellar'
feature.
* org.apache.karaf.cellar.hazelcast  has dependency=false it  is not declared. 
* Cellar feature depends from hazelcast feature

In my Head this feature is ok but...
 

> Cellar 2.2.4 feature cannot be installed
> ----------------------------------------
>
>                 Key: KARAF-1550
>                 URL: https://issues.apache.org/jira/browse/KARAF-1550
>             Project: Karaf
>          Issue Type: Bug
>          Components: cellar-features
>    Affects Versions: cellar-2.2.4
>         Environment: Windows / ServiceMix 4.5.0-SNAPHOST
>            Reporter: Anthony Masse
>            Assignee: Jean-Baptiste Onofré
>
> Im trying to install cellar feature :
> karaf@root>
> karaf@root> features:addurl mvn:org.apache.karaf.cellar/apache-karaf-cellar/2.2.4/xml/features
> karaf@root> features:install cellar
> Error executing command: Can not resolve feature:
> Unsatisfied requirement(s):
> ---------------------------
>    bundle:(&(symbolicname=hazelcast))
>       Apache Karaf :: Cellar :: Hazelcast
>    package:(&(package=com.hazelcast.core))
>       Apache Karaf :: Cellar :: Hazelcast
>    package:(&(package=com.hazelcast.config))
>       Apache Karaf :: Cellar :: Hazelcast
> It seems that the dependency="true" in the features.xml file is not supported in smx
:
> <bundle start-level="31" dependency="true">mvn:com.hazelcast/hazelcast/1.9.4.8</bundle>
> Note : In cellar 2.2.3 features.xml file, the value was : <bundle>mvn:com.hazelcast/hazelcast/1.9.4.6</bundle>
> Workaround : 
> karaf@root> bundle:install mvn:com.hazelcast/hazelcast/1.9.4.8
> Bundle ID: 169
> karaf@root> features:install cellar



--
This message was sent by Atlassian JIRA
(v6.1.4#6159)

Mime
View raw message